Bug 880011 (CVE-2012-5568) - CVE-2012-5568 tomcat: Slowloris denial of service
Summary: CVE-2012-5568 tomcat: Slowloris denial of service
Status: CLOSED WONTFIX
Alias: CVE-2012-5568
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20090617,reported=2...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-26 01:14 UTC by David Jorm
Modified: 2014-10-21 00:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-29 00:22:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Jorm 2012-11-26 01:14:30 UTC
The Slowloris denial of service tool has been found to affect Tomcat.

Comment 1 David Jorm 2012-11-26 01:25:06 UTC
Statement:

This issue affects tomcat and jbossweb as shipped in various Red Hat products. This issue can be mitigated using appropriate firewall configuration, as noted here: 

https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2007-6750

This issue can also be partially mitigated by configuring an appropriate timeout using the connectionTimeout property for the relevant Connector(s) defined in server.xml, but testing shows that some variants of the attack may still be effective with this configuration. The tomcat project has advised that although this flaw can affect tomcat, there is no good solution available, and the tomcat security team does not consider it a vulnerability in tomcat or plan to release a patch:
 
http://tomcat.apache.org/security-7.html#Not_a_vulnerability_in_Tomcat


Note You need to log in before you can comment on or make changes to this bug.